# This file is part of "KarmaLab.net Perl Library".
#    Copyright 2005, Yoran Brault
#    eMail: yoran.brault@bad_karma-lab.net (remove "bad_" before sending)
#    Site : http://artisan.karma-lab.net
#
# "KarmaLab.net Perl Library" is free software; you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public License as
# published by the Free Software Foundation; either version 2.1 of
# the License, or (at your option) any later version.
#
# "KarmaLab.net Perl Library" is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
# Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public
# License along with "KarmaLab.net Perl Library"; if not, write to the Free
# Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
# 02110-1301 USA, or see the FSF site: http://www.fsf.org.

package Logging::LogRecord;

sub new {
    my $self = bless {},shift;
    $self->level(shift);
    $self->message(sprintf(shift, @_));
    return $self;
}

sub level {
    my $self = shift;
    if (@_) { $self->{level} = shift }
    return $self->{level};
}

sub message {
    my $self = shift;
    if (@_) { $self->{message} = shift }
    return $self->{message};
}

sub fragment {
    my $self = shift;
    if (@_) { $self->{fragment} = shift }
    return $self->{fragment};
}
1;