#Angstrom X11 image, with apps and kernel modules included

ANGSTROM_EXTRA_INSTALL += " \
                           ${@base_contains("MACHINE_FEATURES", "phone", "openmoko-dialer2", "",d)} \
			  " 
ANGSTROM_EXTRA_INSTALL += " altboot "

XSERVER ?= "xserver-kdrive-fbdev"

export IMAGE_BASENAME = "zaurusfr-minimal-image"
export IMAGE_LINGUAS = "fr-fr"
export IMAGE_FSTYPE = "jffs2 tar.gz"
export IPKG_INSTALL = " \
        gpe-conf-locale-fr \
        gpe-login-locale-fr \
        gpe-ownerinfo-locale-fr \
        gpe-su-locale-fr \
        gpe-taskmanager-locale-fr \
        gtk+-locale-fr \
        hal-locale-fr \
        libatk-1.0-locale-fr \
        libglib-2.0-locale-fr \
        libgpewidget-locale-fr \
        libgpg-error-locale-fr \
        locale-base-fr-fr \
        util-linux-locale-fr \
        "


DEPENDS = "task-base"
IMAGE_INSTALL = "\
    ${XSERVER} \
    task-base-extended \
    angstrom-x11-base-depends \
    angstrom-gpe-task-base \
    angstrom-gpe-task-settings \
    angstrom-gpe-task-pim \
    gpe-announce \
    kernel-modules \
    hal \
    task-zaurusfr-minimal \
    ${ANGSTROM_EXTRA_INSTALL}"

#angstrom-ohand-task-pim \


#zap root password for release images
ROOTFS_POSTPROCESS_COMMAND += '${@base_conditional("DISTRO_TYPE", "release", "zap_root_password; ", "",d)}'

inherit image
